import CircularProgress from '@mui/material/CircularProgress'
import { useUser } from '@/utils/useUser'
import Alert from '@mui/material/Alert'

export default function Home() {
  const { user, isLoading, errMsg } = useUser()

  if (isLoading) {
    return (
      <CircularProgress
        sx={{
          position: 'fixed',
          top: '30%',
          left: '50%',
          transform: 'translate(-50%, -50%)',
        }}
      />
    )
  }

  if (errMsg) {
    return <Alert severity="error">{errMsg}</Alert>
  }

  return <>hello {user!.email}</>
}
